
Foreman - Refactor #28591

Refactor # 28581 (Resolved): Drop long-deprecated api endpoints

remove deprecated permissions api parameters

12/30/2019 08:29 AM - Tomer Brisker

Status: Closed   

Priority: Normal   

Assignee: Tomer Brisker   

Category: API   

Target version:    

Difficulty:  Fixed in Releases: 2.0.0

Triaged: No Found in Releases:  

Bugzilla link: 1791663 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/7304

  

Description

`resource_type` and `name` were deprecated in #11303 when scoped search was added to permissions

Related issues:

Related to Foreman - Bug #11303: Filter management with hamemr seems to be mi... Closed 08/05/2015

Related to Hammer CLI - Bug #28747: remove deprecated permissions api paramet... Closed

Associated revisions

Revision dbbd5c9c - 12/31/2019 12:31 AM - Tomer Brisker

Fixes #28591 - Drop deprecated permissions api params

These params have been deprecated since Foreman 1.10.

History

#1 - 12/30/2019 08:33 AM - Tomer Brisker

- Related to Bug #11303: Filter management with hamemr seems to be missing means of associating resource type added

#2 - 12/30/2019 08:34 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/7304 added

#3 - 12/31/2019 12:31 AM - The Foreman Bot

- Fixed in Releases 2.0.0 added

#4 - 12/31/2019 01:01 AM - Tomer Brisker

- Status changed from Ready For Testing to Closed

Applied in changeset dbbd5c9c1809b2baae326837aa60a8269ae426b5.

#5 - 01/15/2020 08:06 AM - Ondřej Pražák

- Related to Bug #28747: remove deprecated permissions api parameters - hammer cli foreman added

#6 - 01/16/2020 10:42 AM - Tomer Brisker

- Bugzilla link set to 1791663
